rem INSTMUS.bat - Install musixtex in Windows XP or Vista
rem
rem You MUST edit the next 4 SET commands. As it stands, this file
rem   has "Windows conventional" names for XP with user "don". Commented
rem   options are listed for "Short names" or "Windows conventional" names
rem   for Vista. In "Windows conventional", replace "don" with your user name.
rem
rem Temporary folder where you have unzipped the MusiXTeX distribution:
rem (Windows conventional XP) 
SET DOWNLOAD="c:\Documents and settings\don\My Documents\mtunzip"
rem (Windows conventional Vista) 
rem SET DOWNLOAD="c:\users\don\My Documents\mtunzip"
rem (Short names) 
rem SET DOWNLOAD=c:\musix
rem
rem Folder for MusiXTeX executables and batch files:
rem (Windows conventional XP) 
SET TOOLS="c:\Program Files\MusiXTeX"
rem (Windows conventional Vista) 
rem SET TOOLS="c:\users\don\My Programs\MusiXTeX"
rem (Short names) 
rem SET TOOLS=c:\tools
rem 
rem Folder for all other MusiXTeX files except your personal source files:
rem (Windows conventional XP) 
SET ROOT="c:\Documents and Settings\don\Application Data\MusiXTeX"
rem (Windows conventional Vista) 
rem SET ROOT="c:\users\don\Application Data\MusiXTeX"
rem (Short names) 
rem SET ROOT=c:\musixtexmf
rem
rem MiKTeX "install" path (as defined in MiKTeX settings)
SET MIKTEX="c:\Program Files\MiKTeX 2.8"
rem
SET MIKTEXDIR=%MIKTEX%
SET MIKTEXDIRwrite=%ROOT%
SET MUSIXTEXDIR=%DOWNLOAD%\MUSIXTEXdistribution
rem SET PMXDIR=%DOWNLOAD%\PMXdistribution
rem SET MTXDIR=%DOWNLOAD%\MTXdistribution
rem
rem Install common musixtex files (except executables and batch files)
rem
xcopy %MUSIXTEXDIR%\fonts\mf\*.mf %MIKTEXDIRwrite%\fonts\source\public\musixtex\
xcopy %MUSIXTEXDIR%\fonts\tfm\*.tfm %MIKTEXDIRwrite%\fonts\tfm\public\musixtex\
xcopy %MUSIXTEXDIR%\tex\* %MIKTEXDIRwrite%\tex\generic\musixtex\
xcopy %MUSIXTEXDIR%\musixtexadd\*.tex %ROOT%\tex\generic\musixtex\
rem
xcopy %MIKTEXDIR%\dvipdfm\config\config %ROOT%\dvipdfm\config\
xcopy %MUSIXTEXDIR%\dvipdfm\musix.map %ROOT%\dvipdfm\config\
echo f musix.map >> %ROOT%\dvipdfm\config\config
rem
xcopy %MIKTEXDIR%\dvips\config\config.ps %ROOT%\dvips\config\
xcopy %MUSIXTEXDIR%\dvips\musix.map %ROOT%\dvips\config\
echo p +musix.map >> %ROOT%\dvips\config\config.ps
rem
xcopy %MIKTEXDIR%\dvips\tetex\config.pdf %ROOT%\dvips\tetex\
echo p +musix.map >> %ROOT%\dvips\tetex\config.pdf
rem
xcopy %MUSIXTEXDIR%\dvips\psslurs.pro %ROOT%\dvips\base\
rem
rem postscript fonts for musixtex are not embedded in MiKTeX
xcopy %MUSIXTEXDIR%\fonts\type1\*.pfb %ROOT%\fonts\type1\public\musixps\type1\
rem
rem Install MusiXTeX executables and batch files:
rem
xcopy %MUSIXTEXDIR%\bin\*.* %TOOLS%
rem
rem xcopy %PMXDIR%\bin\*.exe %TOOLS%
rem xcopy %MTXDIR%\*.exe %TOOLS%
rem xcopy %PMXDIR%\tex\pmx.tex %ROOT%\tex\generic\musixtex\
rem xcopy %MTXDIR%\mtx.tex %ROOT%\tex\generic\musixtex\
pause
